Steam Client library conflict - yum install

Issues related to applications and software problems and general support
Post Reply
Dabman
Posts: 2
Joined: 2020/05/27 01:26:15

Steam Client library conflict - yum install

Post by Dabman » 2020/05/27 01:30:52

Hello. I have two problems with yum/dnf

first of all i add repo from rhel by mistake and can not get rid of
[root@localhost etc]# yum update
Failed loading plugin "product-id": cannot import name 'logutil'
Failed loading plugin "subscription-manager": cannot import name 'injection'
Failed loading plugin "upload-profile": cannot import name 'packageprofilelib'
Last metadata expiration check: 0:22:34 ago on Wed 27 May 2020 02:38:33 AM CEST.
Dependencies resolved.
Nothing to do.
Complete!
Second steam instalation. Can not go through
Error: Transaction check error:
file /lib/ld-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libBrokenLocale-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libSegFault.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libanl-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libc-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libdl-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libm-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libnss_compat-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libnss_dns-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libnss_files-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libpthread-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libresolv-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/librt-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libthread_db-1.0.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /lib/libutil-2.28.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /usr/lib/audit/sotruss-lib.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /usr/lib/libmemusage.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64
file /usr/lib/libpcprofile.so from install of glibc-2.28-72.el8_1.1.i686 conflicts with file from package glibc32-2.28-42.1.el8.x86_64

Dabman
Posts: 2
Joined: 2020/05/27 01:26:15

Re: Steam Client library conflict - yum install

Post by Dabman » 2020/06/07 16:09:30

any solution?

User avatar
TrevorH
Forum Moderator
Posts: 29113
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Steam Client library conflict - yum install

Post by TrevorH » 2020/06/07 17:18:03

Remove glibc32 but carefulyl check any dependent packages that yum/dnf offer to remove before you reply Y.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply

Return to “CentOS 8 - General Support”